Bug 438899 - intlclock doesn't handle NTP, timezone is somewhat odd
intlclock doesn't handle NTP, timezone is somewhat odd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 17:05 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-03-25 17:05:44 EDT
Description of problem:

Right now, we have both system-config-date and intlclock in the default desktop
install. That's bad.

The two things in s-c-date that are missing in intlclock:
- NTP support
- Timezone isn't as obvious - it's not referenced under the 'Adjust Date and
Time' choice

With those addressed (in some way), we can remove s-c-date from the default
install. Yay for less duplication!

(We could pre-emptively remove s-c-date, I suppose.)

Version-Release number of selected component (if applicable):

gnome-panel-2.22.0-4.fc9
Comment 1 Jeremy Katz 2008-03-25 20:30:03 EDT
Of course, anaconda's timezone widgets are just used straight from
system-config-date.  So removing it would be bad from that point of view.
Comment 2 Matthias Clasen 2008-03-26 12:17:56 EDT
Its not bad bad, just a little bit of redundancy. 

But I agree that it would be good if we could get to the point where s-c-d is
deemed unnecessary. 

From my perspective, NTP should just be on by default, and should be handled by
nm-dispatcher. 

Bill, for the timezone, what would you want to do in the "Time settings" dialog
? I could add some text explaining that you should use the main ui to select a
different timezone. I'm also talking to geoclue upstream to get automatic
location updates.
Comment 3 Bill Nottingham 2008-03-26 12:20:58 EDT
I forgot, there's also system-clock-is-UTC-or-localtime that s-c-d handles.
Which is a pain to try and expose, but that's Windows breaking things for you.

I wonder if a 'Change timezone...' button that pops the location dialog would
work? Of course, this is all 2.24, things at this point.
Comment 4 Bug Zapper 2008-05-14 02:50:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:51:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:16:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.